package com.atguigu.ssyx.common.config;

import com.atguigu.ssyx.common.interceptor.UserLoginInterceptor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Slf4j
@Configuration
public class WebMvcConfiguration implements WebMvcConfigurer {
    @Autowired
    private UserLoginInterceptor userLoginAuthInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        log.info("WebMvcConfiguration===>开始注册自定义拦截器...");

        String[] userLoginExcludes = {"/api/user/weixin/wxLogin/*"};
        registry.addInterceptor(userLoginAuthInterceptor)
                .addPathPatterns("/api/**")
                .excludePathPatterns(userLoginExcludes);
    }
}