package com.atguigu.ssyx.common.properties;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@ConditionalOnProperty(name = "wx.open.appId")
@ConfigurationProperties(prefix = "wx.open")
@Configuration
@Data
@Slf4j
public class WeChatProperties {
    private String appId;
    private String appSecret;

    WeChatProperties() {
        log.info("注册微信配置信息...");
    }
}