package com.atguigu.ssyx.client.search;

import com.atguigu.ssyx.model.search.SkuEs;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

@FeignClient(value = "service-search", path = "/api/search/sku")
public interface SearchFeignClient {
    // 获取爆品商品
    @GetMapping("inner/findHotSkuList")
    List<SkuEs> findHotSkuList();

    // 更新商品incrHotScore
    @GetMapping("inner/incrHotScore/{skuId}")
    Boolean incrHotScore(@PathVariable Long skuId);
}
