package com.atguigu.ssyx.acl.controller;

import com.atguigu.ssyx.acl.service.AdminRoleService;
import com.atguigu.ssyx.common.result.Result;
import com.atguigu.ssyx.vo.acl.AssignAdminRoleVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/admin/acl/user")
@Api(tags = "用户和角色管理")
public class AdminRoleController {
    @Autowired
    private AdminRoleService adminRoleService;

    @ApiOperation(value = "根据用户获取角色数据")
    @GetMapping("/toAssign/{adminId}")
    public Result<AssignAdminRoleVo> toAssign(@PathVariable Long adminId) {
        AssignAdminRoleVo vo = adminRoleService.findRoleByUserId(adminId);
        return Result.success(vo);
    }

    @ApiOperation(value = "根据用户分配角色")
    @PostMapping("/doAssign")
    public Result<String> doAssign(@RequestParam Long adminId, @RequestParam Long[] roleId) {
        adminRoleService.saveUserRoleShip(adminId, roleId);
        return Result.success();
    }
}
