package com.atguigu.ssyx.acl.service;

import com.atguigu.ssyx.model.acl.Permission;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface PermissionService extends IService<Permission> {

    /**
     * 获取所有菜单列表
     *
     * @return 权限列表
     */
    List<Permission> queryAllMenu();

    /**
     * 递归删除
     *
     * @param id 删除ID
     */
    void removeChildById(Long id);

    /**
     * 查询所有菜单和角色分配菜单
     *
     * @param roleId 角色Id
     * @return 权限列表
     */
    List<Permission> findMenuByRoleId(Long roleId);

    /**
     * 查询所有菜单和角色分配菜单
     *
     * @param roleId      角色Id
     * @param permissions 分配权限Id
     */
    void doAssign(Long roleId, List<Long> permissions);
}