import java.util.concurrent.CompletableFuture;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class Demo4 {
    // 只要上面的任务执行完成，就开始执行thenRun，只是处理完任务后，执行 thenRun的后续操作
    public static void main(String[] args) {
        ExecutorService executorService = Executors.newFixedThreadPool(3);

        // 现成的串行执行
        CompletableFuture<Integer> futureA = CompletableFuture.supplyAsync(() -> {
            int value = 1024;
            System.out.println("1===>" + value);
            return 1024;
        });

        CompletableFuture<Integer> futureB = futureA.thenApplyAsync((result) -> {
            System.out.println("2===>" + result);
            return result;
        }, executorService);

        CompletableFuture<Integer> futureC = futureB.thenApplyAsync((result) -> {
            System.out.println("3===>" + result);
            return result;
        }, executorService);

        executorService.shutdown();
    }
}
