package com.atguigu.ssyx.activity.mapper;

import com.atguigu.ssyx.model.activity.ActivityInfo;
import com.atguigu.ssyx.model.activity.ActivityRule;
import com.atguigu.ssyx.model.activity.ActivitySku;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动表 Mapper 接口
 * </p>
 *
 * @author bunny
 * @since 2024-04-04
 */
@Mapper
public interface ActivityInfoMapper extends BaseMapper<ActivityInfo> {

    /**
     * 判断添加商品之前是否参加过活动
     *
     * @param skuIdList skuId
     * @return List<Long>
     */
    List<Long> selectSkuIdListExist(List<Long> skuIdList);

    /**
     * * 根据skuId 查询对应规则列表
     *
     * @param skuId 商品Id
     * @return 商品活动列表
     */
    List<ActivityRule> findActivityRule(Long skuId);

    /**
     * * 根据所有skuId获取参与活动
     *
     * @param skuIdList skuId列表
     * @return List<ActivitySku>
     */
    List<ActivitySku> selectCartActivity(@Param("skuIdList") List<Long> skuIdList);
}
