package com.atguigu.ssyx.search.service;

import com.atguigu.ssyx.model.search.SkuEs;
import com.atguigu.ssyx.vo.search.SkuEsQueryVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface SkuService {
    /**
     * 上架商品
     *
     * @param skuId 商品ID
     */
    void upperSku(Long skuId);

    /**
     * 下架商品
     *
     * @param skuId 商品ID
     */
    void lowerGoods(Long skuId);

    /**
     * * 获取爆品商品
     *
     * @return 查询的商品
     */
    List<SkuEs> findHotSkuList();

    /**
     * * 搜索商品
     *
     * @param pageRequest   分页参数
     * @param searchParamVo 分页查询参数
     * @return 分页结果
     */
    Page<SkuEs> search(Pageable pageRequest, SkuEsQueryVo searchParamVo);

    /**
     * * 更新商品incrHotScore
     *
     * @param skuId 商品id
     */
    void incrHotScore(Long skuId);
}
