package com.atguigu.ssyx.user.controller;

import com.atguigu.ssyx.common.result.Result;
import com.atguigu.ssyx.model.user.User;
import com.atguigu.ssyx.user.service.WeiXinApiService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@Api(tags = "用户微信接口")
@RestController
@RequestMapping("/api/user/weixin")
public class WeiXinApiController {
    @Autowired
    private WeiXinApiService weChatService;

    @ApiOperation(value = "微信登录获取openid(小程序)")
    @GetMapping("/wxLogin/{code}")
    public Result<Map<String, Object>> callback(@PathVariable String code) {
        Map<String, Object> map = weChatService.callback(code);
        return Result.success(map);
    }

    @PostMapping("/auth/updateUser")
    @ApiOperation(value = "更新用户昵称与头像")
    public Result<User> updateUser(@RequestBody User user) {
        weChatService.updateUser(user);
        return Result.success();
    }
}